# mhmme -- not currently supported

Usage: mhmme [options] <HMM filename>

Description:

Given a Meta-MEME hidden Markov model (HMM), `mhmme` randomly generates sequence from the model and prints them in Fasta format.

Input:

- <HMM file> - An HMM in Meta-MEME format must be provided. If the filename is given as '-', then 'mhmme' will attempt to read the HMM from standard input.

Output:

The program prints to standard output one or more sequences in Fasta format.

Options:

- `--numseq <integer>` The number of sequences to emit. Default is 1.
- `--occurs` Rather than printing the raw sequence, print a pseudo-sequence in which non-motif regions are represented as hyphens and motifs are represented like this: `*____7___*`, where `7` is the motif index.
- `--seed <integer>` Set the seed for the random number generator. By default, the seed is set from the clock.

Bugs: None known.

Author: William Stafford Noble.